<html>
<head>
<title>DClient FAQ</title>
<link rel="stylesheet" title="default" href="styles.css" type="text/css">
</head>

<h2 id=title>Tivocrack FAQ</h2>

<h3 id=heading>What is a backdoor password?</h3>

<P>TiVo has a "backdoor" mode that allows the user to change many settings that affect the performance, usability, and available features of the TiVo. This is similar to an "easter egg", or a secret menu. Generally, the backdoor password enables features that TiVo uses for internal testing, or which QA has not yet approved. Improper use of these features can actually leave your TiVo in an unusable state! 

<P>Some of these features can be interesting to play with, like changing the "skip back" (aka "autocorrect") time when fast forwarding through video. Others are interesting to geeks-- like viewing the software logs on the device to see what's happening behind inside the TiVo.

<h3 id=heading>What does this program do?</h3>

<P>TiVo has begun to encrypt the backdoor password. This makes it difficult to enable backdoor mode, which is a dissapointment for many TiVo tinkerers. The encryption being used is a one-way hash known as SHA1. When you enter a password into the TiVo, it computes the SHA1 hash of the password and compares this to a value stored inside the TiVo. If it matches, backdoors are enabled.

<P>Unfortunately, there's no way to "undo" the hash operation to find out what the password is correct. The only option left to us is to generate a large number of passwords, compute the SHA1 hash, and see if it matches the encrypted string stored on the TiVo. This is a brute-force attack.

  <P>On previous versions of the TiVo software, we were able to brute-force the password very quickly because it was quite short. This doesn't seem to be the case anymore, so we now need to harness the power of many computers in order to try to find the correct password.

<P>This software allows your computer to look for the right password, coordinating with a central server so that we can cover as many different possibilities as possible. You don't need a TiVo to use this software.

<h3 id=heading>When will we finish?</h3>

<P>The search space is enormous. About 105 bits. It took distributed.net several years to search 64 bits. In other words, we will never finish searching the keyspace. In order to make the search possible, we make some assumptions about the key-- its length, the number of spaces in it, etc. Then we search that keyspace, which, of course, is a subset of the total keyspace. Hopefully, we'll find the "correct" key. If not, we loosen our assumptions a bit and try a slightly different/larger keyspace. We do this until we give up!</P>

<h3 id=heading>What's new in 2.0?</h3>

<P>The clients have been steadily improving in terms of features. Both now support proxies, local-mode testing, and more. The unix client also has a handy benchmarking mode.

<P>Under the hood, a number of improvments have been made. The server software has been cleaned up and optimized a fair amount in the hopes of handling larger numbers of users. The clients and servers now include code to help screen out bogus blocks which provide some protection against "bad users" and against any incorrectly configured clients.

<h3 id=heading>Who's fault is this?</h3>
<P>This is mostly my fault, <a href=mailto:eolson@mit.edu>Edwin Olson</a>. But the ciphertext was retrieved by others on the AVS forum, and many suggestions have been made by others. The windows client was ported and heavily modified by Barclay. 

<h3 id=heading>Hardware Information</h3>
<P>The main server is a Pentium-III 800 with 256MB of RAM. It could use more memory (RDRAM). Our backend is apache+php+mysql. Please be kind to it.

<P><i>Portions of this FAQ adapted from Barclay's web page.</i>

<P>
<?php include("footer.php"); ?>