<html>
<head>
<title>DClient Reporting Form</title>
<link rel="stylesheet" title="default" href="styles.css" type="text/css">
</head>

<?php 
include("dbcommon.php");

$procfam=getdistincttypes("procfam");
$clockspeed=getdistincttypes("clockspeed");
$os=getdistincttypes("os");
$clientver=getdistincttypes("clientver");

function getdistincttypes($column)
{
  $a=array();
  
  $q="select distinct $column from systemreports order by $column";
  $res=mysql_query($q);
  while ($row=mysql_fetch_assoc($res))
    {
      $a[]=$row[$column];
    }
  return $a;
}

function doselect($name,$values)
{
  print "<select name=$name>";
  reset($values);
  while (list($k,$v)=each($values))
    {
      print "<option value='$v'>$v</option>";
    }
  print "<option value='other'>other</option>";
  print "</select>";
}
?>

<h2 id=title>Client Speed Entry</h2>

<P id=heading><B>PLEASE</B> Only enter an 'other' value if NONE of the pop-up choices is appropriate. Report only single-processor results.</p>
<P>Please measure the speed of your client 3 times and take the middle value. If using the Unix client, you can use the -b command-line option.</P>

<form method=post action=reportsystemsubmit.php>
<table border=0>
<tr><td><b>Processor Family:</b>
<td><?php doselect("procfam",$procfam)?>
<td>Other: <input type=text name=procfamother size=30>
<tr><td colspan=2>e.g., P3, P4, Athlon, AthlonXP, Duron, G4e,...
<tr><td colspan=2>&nbsp;

<tr><td><b>Clock Speed in MHz/XP rating:</b>
<td><?php doselect("clockspeed",$clockspeed)?>
<td>Other: <input type=text name=clockspeedother size=30>
<tr><td colspan=2>e.g., for 1.2GHz, write 1200.
<tr><td colspan=2>&nbsp;

<tr><td><b>Operating system:</b>
<td><?php doselect("os",$os)?>
<td>Other: <input type=text name=osother size=30>
<tr><td colspan=2>e.g., Win98, Win2k, WinXP, MacOS9, MacOSX, Linux, Solaris
<tr><td colspan=2>&nbsp;

<tr><td><b>Client version:</b>
<td><?php doselect("clientver",$clientver)?>
<td>Other: <input type=text name=clientverother size=30>
<tr><td colspan=2>e.g., 2c, 2.0.
<tr><td colspan=2>&nbsp;

<tr><td><b>Speed (in thousands of keys per second):</b>
<td><input type=text name=speed size=30>
<td>kkeys/sec. (e.g., 978).
<tr><td colspan=2>&nbsp;

<tr><td><b>Your user name:</b>
<td><input type=text name=user size=16 value="anonymous">
</table>

<P>
<P>Please be careful of typos. Results can't be easily deleted.</P>

<input type=submit value='Submit'>
</form>
<P>
<?php include("footer.php"); ?>
