<html>
<head>
<title>DClient Quick Start</title>
<link rel="stylesheet" title="default" href="styles.css" type="text/css">
</head>

<h2 id=title>UNIX client quickstart</h2>

<div id=indented>
<P>If you downloaded the source, follow the steps below to compile it. If you experience any problems when compiling, try editing the Makefile; there are several helpful suggestions in there.

<P id=indented><code>bash% tar -xzvf dclient2b.tgz
<P id=indented><code>bash% cd dclient2b
<P id=indented><code>bash% make

<P>Once you have an executable (either from building from source or by downloading a binary directly), I recommend that you run the benchmark, which contains some self-tests.

<P id=indented><code>./dclient -b

<P>If it reports any problems, <i>do not run the client</i> as it may be generating incorrect answers. Contact me so that we can find out what happened.

<P>Otherwise, to invoke the client (using the default server location), type:

<P id=indented><code>./dclient -r -u YOURUSERNAME</code>

<P>Replace YOURUSERNAME with an identifier of your choice. Any work units completed by this client will be credited to that user. (So you can (and should) use the same username on every machine you run the client on.) Please note that the URL that you specify to dclient has changed in this version.

<P>For a full list of command-line options, type <code>./dclient</code> with no arguments. You might also want to run dclient using 'nice', e.g."

<P id=indented><code>bash% nice ./dclient -r -u YOURUSERNAME</code>

<P>If you have more than one processor, you'll need to run dclient once for every processor. You can run them all from the same directory and with the same user id.

</div>


