// -------------------- Header

class CMainWnd;
#ifndef MAINWND_H__INCLUDED__
#define MAINWND_H__INCLUDED__

extern CMainWnd * g_pMainWnd;

#include "main.h"

#define MAINWND_CLASS   "TiVoCrackClass"
#define MAINWND_TITLE   "TiVo Crack v" VERSION_TEXT

#define WM_USER_SYSTRAY     (WM_USER + 1)
#define WM_USER_LOG         (WM_USER + 2)
#define WM_USER_PAUSE       (WM_USER + 3)
#define WM_USER_CONT        (WM_USER + 4)
#define WM_USER_ERROR       (WM_USER + 5)
#define WM_REALLY_CLOSE     (WM_USER + 6)

class CMainWnd 
{
public:
            CMainWnd();
            ~CMainWnd();

    HWND    Create(HINSTANCE);
    void    Log(char * szLog);
    HWND    GethWnd();

    void    PauseApp();

private:

    static LRESULT CALLBACK MainWndProc(HWND, UINT, WPARAM, LPARAM);

    LRESULT     OnError();
    LRESULT     OnSize(DWORD dwFlag, WORD wWidth, WORD wHeight);
    LRESULT     OnCreate();
    LRESULT     OnDestroy();
    LRESULT     OnClose();
    LRESULT     OnReallyClose();
    LRESULT     OnSystray(DWORD dwMessage);
    LRESULT     OnLog(char * szLog);
    void        OnSystrayContext();

    HWND        m_hWndList;
    HWND        m_hWnd;
    HINSTANCE   m_hInstance;

    HICON       m_hIconNormal;
    HICON       m_hIconPaused;

    bool        m_bPaused;
    bool        m_bReallyClose;

    NOTIFYICONDATA m_nid;
};

#endif //MAINWND_H__INCLUDED__
